Skip to main content
PUT
Update a client-encrypted network secret

Authorizations

Authorization
string
header
required

JWT sent in Authorization: Bearer . Access depends on the token's network membership and permissions. The admin endpoint requires admin claims.

Headers

X-Network-ID
string
required

Network ID

Body

application/json

Secret key, encrypted value, and encryption-key fingerprint

Secret key, encrypted value, and encryption-key fingerprint

encrypted_value
string
required
Example:

"AYd2K1zr..."

key
string
required
Example:

"DATABASE_PASSWORD"

key_fingerprint
string
required
Example:

"3f5a..."

Response

OK

Response for updating a client-encrypted network secret

key
string
Example:

"DATABASE_PASSWORD"

message
string
Example:

"Secret updated successfully"

secret_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"